package com.oqpo.api.web.dto.response.sttlmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;


@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SttlStateGridResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "정산관리고유번호")
    private String sttlMgntUnqNo;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;
    @ApiModelProperty(value = "공급사명")
    private String spplyNm;
    @ApiModelProperty(value = "정산상태코드")
    private String sttlStCd;
    @ApiModelProperty(value = "정산상태명")
    private String sttlStNm;
    @ApiModelProperty(value = "정산요청일자")
    private String sttlReqDt;
    @ApiModelProperty(value = "정산요청금액")
    private Long sttlReqAmt;
    @ApiModelProperty(value = "정산일자")
    private String sttlDt;
    @ApiModelProperty(value = "정산금액")
    private Long sttlAmt;
    @ApiModelProperty(value = "계좌잔액")
    private Long acctBal;

    @ApiModelProperty(value = "정산등록담당자아이디")
    private String sttlRegMgrId;
    @ApiModelProperty(value = "정산등록담당자명")
    private String sttlRegMgrNm;

}
